コンテンツにスキップ
ShopentlyLearn

入荷予定を受け入れる

コードやファイルを再インポートせずに既存の在庫を受け入れます。

POST/api/v1/inventory/products/{product_id}/digital-imports/{import_id}/receive

cURLリクエスト

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request POST \
  --url https://shop.onshopently.com/api/v1/inventory/products/example/digital-imports/00000000-0000-4000-8000-000000000001/receive \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: c5b4d095-b59c-5d18-b8f4-fcbb49a4e0ec' \
  --header 'Content-Type: application/json' \
  --data-raw '{"expected_delivery_version":1,"expected_version":3}'

レスポンス

{
  "data": {
    "deleted": false,
    "id": "00000000-0000-4000-8000-000000000001",
    "version": 2
  },
  "meta": {
    "request_id": "example-request"
  }
}

必要な権限

利用可能な最低プラン
STANDARD
必要な権限
利用可能なコードとファイルを管理inventory.digital_unit:write入荷の作成inventory.stock_delivery:create

特定のフィールドに必要な追加権限

publish_for_sale が true の場合は、次の権限を追加してください。

  • 販売上限の変更inventory.stock:update_sales_limit